package com.landray.kmss.sys.attachment.controller;

import org.springframework.web.bind.annotation.ResponseBody;
import com.landray.kmss.common.dto.PageVO;
import com.landray.kmss.common.dto.HttpRequestParameterWrapper;
import com.landray.kmss.sys.attachment.model.SysAttDownloadLog;
import com.sunbor.web.tag.Page;
import com.landray.kmss.web.action.ActionForm;
import com.landray.kmss.web.config.IActionConfig;
import com.landray.kmss.web.action.ActionMapping;
import com.landray.kmss.web.config.ActionConfig;
import com.landray.kmss.common.rest.util.ControllerHelper;
import com.landray.kmss.web.RestResponse;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import org.springframework.web.bind.annotation.RequestBody;
import com.landray.kmss.common.dto.QueryRequest;
import com.landray.kmss.sys.attachment.actions.SysAttDownloadLogAction;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import com.landray.kmss.common.rest.controller.ColumnDatasController;

@Controller
@RequestMapping(value = { "/data/sys-attachment/sysAttDownloadLog" }, method = { RequestMethod.POST })
public class SysAttDownloadLogController extends ColumnDatasController
{
    private final SysAttDownloadLogAction action;
    
    public SysAttDownloadLogController() {
        this.action = new SysAttDownloadLogAction();
    }
    
    @ResponseBody
    @RequestMapping({ "list" })
    public RestResponse<?> list(@RequestBody final QueryRequest query, final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final HttpRequestParameterWrapper requestWrapper = ControllerHelper.buildRequestParameterWrapper(request, query);
        this.action.list(new ActionMapping((IActionConfig)new ActionConfig()), (ActionForm)null, (HttpServletRequest)requestWrapper, response);
        final Page queryPage = (Page)request.getAttribute("queryPage");
        if (queryPage == null) {
            return (RestResponse<?>)RestResponse.error("请求失败");
        }
        final PageVO pageVO = this.convert((HttpServletRequest)requestWrapper, queryPage, (Class)SysAttDownloadLog.class, "list");
        return (RestResponse<?>)this.result((HttpServletRequest)requestWrapper, (Object)pageVO);
    }
}
